Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002408TestLinkAPI - XMLRPCpublic2009-04-21 08:242010-08-31 20:28
Reporterabadve 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 3 
Fixed in Version1.9 Beta 5 
Summary0002408: Relation between internal testcaseid,testplanid,projectid,buildid and web based ids in testlink
DescriptionPresently unless we export the XML file we cannot view the internal testcaseids for the API calls. I do not know if any relation exists between the web based ids and the internal ids. Also I could not find the projectid, buildid and the testplanid from the XML file. It would be a nice feature to be able to view them or guess the internal ids from the web based ids for the API calls.
TagsAttachment
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon testplan.png [^] (100,709 bytes) 2009-04-25 03:58


png file icon testproject1.png [^] (112,772 bytes) 2009-04-25 03:59


jpg file icon mnu.jpg [^] (31,971 bytes) 2010-06-03 20:45

- Relationships

-  Notes
(0006487)
fman (administrator)
2009-04-21 16:05

>> Also I could not find the projectid, buildid and the testplanid from the XML >> file
you got this info at user interface level.

>> the internal testcaseids for the API calls
All API functions must be refactored to allow use of internal or external id
(0006556)
abadve (reporter)
2009-04-24 06:18

Thanks for your reply. Can you tell me please how to refactor the API calls to allow use of external id?

I am still not clear how to get the projectidm buildid and testplanid information.
Can you please send a working example or screen snapshot?
(0006580)
fman (administrator)
2009-04-24 19:27

// --------------------------------------------------------------------------------------
/** [API] */

/** XML-RPC API availability (disabled by default) */
$tlCfg->api->enabled = TRUE; //FALSE;

// used to display API ID info in the *View pages
$tlCfg->api->id_format = "[ID: %s ]";


you will see a new icon (brick) on several pages that will aloow you to display internal ID
(0006592)
abadve (reporter)
2009-04-25 04:02

Hello

Thanks for your reply. I already had these two lines enabled in the config file. I have sent you snapshot images (attached testplan.png file and testproject1.png file) of the test plan and test project page showing the ids in my installation.
When I use these ids in any of the API calls reportTC result for example I get errors like projectid does not exist and so on. I now need to know which id to use in the API code.
(0007488)
fman (administrator)
2009-07-09 23:27

excuse me for long time before replying, I will try to do some tests and give you asnwer ASAP
(0007649)
fman (administrator)
2009-07-27 23:55

For test case you can get internal id when navigating tree, you can see at least on firefox id on footer.

Anyway on 1.9 we have refactored calls in order to allow you to use EXTERNAL ID.
(0010223)
fman (administrator)
2010-06-03 20:41

enabled context menu on right button to display API ID, on test spec tree.
see attached image
(0010224)
fman (administrator)
2010-06-03 20:46

Reminder sent to: asimon, Julian

I've made first implementation of context menu on tree.
(0011136)
fman (administrator)
2010-08-31 20:28

Release BETA 6 - 20100831

- Issue History
Date Modified Username Field Change
2009-04-21 08:24 abadve New Issue
2009-04-21 16:05 fman Note Added: 0006487
2009-04-24 06:18 abadve Note Added: 0006556
2009-04-24 19:27 fman Note Added: 0006580
2009-04-24 19:28 fman Status new => feedback
2009-04-25 03:58 abadve Tag Attached: Attachment
2009-04-25 03:58 abadve File Added: testplan.png
2009-04-25 03:59 abadve File Added: testproject1.png
2009-04-25 04:02 abadve Note Added: 0006592
2009-07-09 04:51 mhavlat Status feedback => new
2009-07-09 23:27 fman Note Added: 0007488
2009-07-09 23:27 fman Status new => assigned
2009-07-09 23:27 fman Assigned To => fman
2009-07-27 23:55 fman Note Added: 0007649
2010-06-03 20:41 fman Note Added: 0010223
2010-06-03 20:45 fman File Added: mnu.jpg
2010-06-03 20:46 fman Note Added: 0010224
2010-06-03 20:47 fman Status assigned => resolved
2010-06-03 20:47 fman Fixed in Version => 1.9 Beta 5
2010-06-03 20:47 fman Resolution open => fixed
2010-08-31 20:28 fman Note Added: 0011136
2010-08-31 20:28 fman Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker